com.klarna.checkout

## Interface SignalListener

-     public interface SignalListener

  Signal interface for sending checkout signals back to the Merchant's App. Usage: After initialization of `KlarnaCheckout` an implementation this interface will be submitted to checkout via the setSignalListener method. At certain points in the checkout process the checkout will send "signals" or messages back to the merchant's app. These can be handled with switch code on the name value. Any additional data can be supplied as a JSONArray of values/objects.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onSignal(java.lang.String eventName, org.json.JSONObject args)` Universal signal listener for checkout signals.

- - ### Method Detail

    - #### onSignal

          void onSignal(java.lang.String eventName,
                        org.json.JSONObject args)

      Universal signal listener for checkout signals. to attach the signal listener, implement this interface to a listening class checkout.setSignalListener (myListeningClass) all signals can be intercepted through this.
      Parameters:
        `eventName` -
        `args` -